domain_struct Struct Reference

`#include <domain.h>`

## Data Fields

denial_type * | denial
zone_type * | zone
ldns_rbnode_t * | node
ldns_rdf * | dname
domain_type * | parent
rrset_type * | rrsets
unsigned | is_new: 1
unsigned | is_apex: 1

## Detailed Description

Domain.

Definition at line 52 of file domain.h.

## Field Documentation

## denial

denial_type* domain_struct::denial

Definition at line 53 of file domain.h.

Referenced by domain_add_rrset(), domain_create(), domain_diff(), domain_print(), domain_rollback(), and namedb_del_domain().

## dname

ldns_rdf* domain_struct::dname

Definition at line 56 of file domain.h.

Referenced by domain_add_rrset(), domain_cleanup(), domain_create(), domain_diff(), domain_ent2unsignedns(), domain_print(), domain_rollback(), namedb_add_domain(), namedb_del_domain(), namedb_domain_entize(), namedb_examine(), and zone_add_rr().

## is_apex

unsigned domain_struct::is_apex

Definition at line 60 of file domain.h.

Referenced by domain_backup2(), domain_create(), domain_is_delegpt(), domain_is_occluded(), domain_print(), namedb_examine(), and zone_add_rr().

## is_new

unsigned domain_struct::is_new

Definition at line 59 of file domain.h.

Referenced by domain_create(), and namedb_add_domain().

## node

ldns_rbnode_t* domain_struct::node

Definition at line 55 of file domain.h.

Referenced by domain_create(), domain_ent2unsignedns(), namedb_add_domain(), and namedb_del_domain().

## parent

domain_type* domain_struct::parent

Definition at line 57 of file domain.h.

Referenced by domain_create(), domain_is_occluded(), and namedb_domain_entize().

## rrsets

rrset_type* domain_struct::rrsets

Definition at line 58 of file domain.h.

Referenced by domain_add_rrset(), domain_backup2(), domain_cleanup(), domain_count_rrset_is_added(), domain_create(), domain_diff(), domain_ent2unsignedns(), domain_lookup_rrset(), domain_print(), domain_rollback(), and namedb_del_domain().

## zone

zone_type* domain_struct::zone

Definition at line 54 of file domain.h.

Referenced by domain_create(), and zone_add_rr().

The documentation for this struct was generated from the following file:

- src/signer/domain.h